# Index Postbox items for a person

Returns an array containing all Postbox items associated with the person specified in the request URL. Note that you can filter the results by created_at (min or max) and document_type—see the descriptions below.

Endpoint: GET /v1/persons/{person_id}/postbox/items
Version: 1.0

## Path parameters:

  - `person_id` (string, required)
    ID of the person.

## Query parameters:

  - `filter[document_type]` (array)
    Filters the response by the Postbox item type. You can supply multiple document_type values separated by commas.

  - `filter[created_at][min]` (string)
    Filters the response by Postbox items created from a certain date (i.e., the minimum date in the past when the document was created).

  - `filter[created_at][max]` (string)
    Filters the response by Postbox items created up until a certain date (i.e., the maximum date in the past when the document was created).

  - `page[number]` (integer)
    The number of pages of results to load.

  - `page[size]` (integer)
    Amount of entries to return in a single page.

## Response 200 fields (application/json):

  - `id` (string)
    ID of the Postbox item.

  - `belongs_to` (string)
    ID of the person or business with whom the Postbox item is associated.

  - `owner_type` (string)
    Indicates whether the Postbox item is owned by a person or business.
    Enum: "Person", "Business"

  - `created_at` (string)
    UTC timestamp from when the Postbox item was created.

  - `document_date` (string)
    The date of the document associated with the Postbox item.

  - `document_type` (string)
    The type of document associated with the Postbox item.
    Enum: "ACCOUNT_STATEMENT", "BALANCE_CONFIRMATION", "CUSTOMER_INFORMATION", "DUNNING_INFORMATION", "LOAN_SCHEDULE", "SECURITIES_INVOICE", "SECURITIES_EVENT", "SECURITIES_EVENT_NOTIFICATION", "DEPOT_STATEMENT_MIFID", "EX_POST_COST_INFORMATION", "DEPOT_STATEMENT", "ASSETS_ACQUISITION", "ASSETS_ACQUISITION_COSTS", "PROFIT_TAX_STATEMENT", "YEARLY_TAX_STATEMENT", "TAX_SETTLEMENT_CALCULATION", "CREDIT_CARD_STATEMENT", "RELATIONSHIP_TERMINATION", "CREDIT_CARD_SECCI", "CREDIT_CARD_CONTRACT", "CREDIT_CARD_CONTRACT_SIGNED", "FEE_SUMMARY_STATEMENT", "SINGLE_FEE_STATEMENT", "SINGLE_TRANSACTION_STATEMENT"

  - `name` (string)
    The name of the Postbox item.

  - `description` (string)
    A description for the Postbox item.

  - `customer_notification` (boolean)
    Boolean value to indicate whether or not customers should receive a notification when the Postbox item is created.

  - `customer_confirmation` (boolean)
    Boolean value to indicate whether or not customers must confirm the Postbox item.

  - `document_size` (integer)
    The file size of the associated document.

  - `document_content_type` (string)
    The content type of the associated document.

  - `document_id` (string)
    The ID of the associated document.

  - `has_been_read` (boolean)
    The item was marked as read via patch endpoint.

  - `has_been_confirmed` (boolean)
    The item has at least 1 confirmation.

  - `reference_id` (string)
    Reference of original source of a document, e.g. bill_id for credit card statement

## Response 400 fields (application/json):

  - `errors` (array)

  - `errors.id` (string)

  - `errors.status` (integer)

  - `errors.code` (string)

  - `errors.title` (string)

  - `errors.detail` (string)

  - `errors.source` (object)

  - `errors.source.field` (string)

  - `errors.source.message` (string)


